# Trait std::os::unix::thread::JoinHandleExt 1.9.0[−][src]

    pub trait JoinHandleExt {
        fn as_pthread_t(&self) -> RawPthread;
        fn into_pthread_t(self) -> RawPthread;
    }

This is supported on Unix only.

Unix-specific extensions to `JoinHandle`.

## Required methods

### `fn as_pthread_t(&self) -> RawPthread`[src]

Extracts the raw pthread_t without taking ownership

### `fn into_pthread_t(self) -> RawPthread`[src]

Consumes the thread, returning the raw pthread_t

This function transfers ownership of the underlying pthread_t to the caller. Callers are then the unique owners of the pthread_t and must either detach or join the pthread_t once it's no longer needed.

Loading content...

## Implementors

### `impl<T> JoinHandleExt for JoinHandle<T>`[src]

#### `fn as_pthread_t(&self) -> RawPthread`[src]

#### `fn into_pthread_t(self) -> RawPthread`[src]

Loading content...